Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class OntEventsVocab

    java.lang.Object
      com.hp.hpl.jena.vocabulary.OntEventsVocab

    public class OntEventsVocab

extends java.lang.Object

Vocabulary definitions from file:vocabularies/ont-event.rdf

Author:
  Auto-generated by jena.schemagen on 13 Aug 2004 15:35

Field Summary
`static Individual` | `allDifferentDeclaration` Event representing the declaration of a set of individuals being pairwise distinct.
`static Individual` | `allValuesFrom` Event representing the declaration that a restriction constrains all values of the property to have some class or datatype
`static Individual` | `annotationPropertyDeclaration` Event representing the declaration of a resource as an annotation property.
`static Individual` | `backwardCompatibleWith` Event representing the declaration of a prior version of a given ontology, which the ontology is compatible with.
`static Individual` | `cardinality` Event representing the declaration of that a restriction has the given cardinality on the restricted property
`static Individual` | `cardinalityQ` Event representing the declaration of that a qualified restriction has the given cardinality on the restricted property
`static Individual` | `classDeclaration` Event representing the declaration of a resource as an ontology Class.
`static Individual` | `comment` Event representing a comment on an ontology element
`static Individual` | `complementOf` Event representing the declaration of a class expression being the complement of another class description.
`static Individual` | `datarangeDeclaration` Event representing the declaration of a resource as a Datarange.
`static Individual` | `datatypePropertyDeclaration` Event representing the declaration of a resource as a datatype property.
`static Individual` | `DeprecatedClass` Event representing the declaration of a class as being deprecated.
`static Individual` | `DeprecatedProperty` Event representing the declaration of a property as being deprecated.
`static Individual` | `differentFrom` Event representing the declaration of one ontology individual being distinct from another
`static Individual` | `disjointWith` Event representing the declaration of one class expression being disjoint with another.
`static Individual` | `distinctMembers` Event representing the identification of a set of individuals that are in the scope of an AllDifferent declaration.
`static Individual` | `domain` Event representing the declaration of a property as having a given class, datatype or datarange as the domain
`static Individual` | `equivalentClass` Event representing the declaration of one class expression being equivalent to another.
`static Individual` | `equivalentProperty` Event representing the declaration of a property as being equivalent to another property
`static Individual` | `functionalPropertyDeclaration` Event representing the declaration of a property as being functional.
`static Individual` | `hasClassQ` Event representing the declaration of that a qualified restriction has the given class or datatype for the qualification restriction
`static Individual` | `hasValue` Event representing the declaration that a restriction constrains the property to have a given value
`static Individual` | `imports` Event representing the declaration that one ontology is imported into another ontology.
`static Individual` | `incompatibleWith` Event representing the declaration of a prior version of a given ontology, which the ontology is not compatible with.
`static Individual` | `individualDeclaration` Event representing the declaration of an ontology individual
`static Individual` | `intersectionOf` Event representing the declaration of a class expression being an intersection of class descriptions.
`static Individual` | `inverseFunctionalPropertyDeclaration` Event representing the declaration of a property as being inverse functional.
`static Individual` | `inverseOf` Event representing the declaration of a property as being the inverse of another property
`static Individual` | `label` Event representing a label on an ontology element
`static Individual` | `maxCardinality` Event representing the declaration of that a restriction has the given maximum cardinality on the restricted property
`static Individual` | `maxCardinalityQ` Event representing the declaration of that a qualified restriction has the given maximum cardinality on the restricted property
`static Individual` | `minCardinality` Event representing the declaration of that a restriction has the given minimum cardinality on the restricted property
`static Individual` | `minCardinalityQ` Event representing the declaration of that a qualified restriction has the given minimum cardinality on the restricted property
`static Resource` | `NAMESPACE` The namespace of the vocabulary as a resource
`static java.lang.String` | `NS` The namespace of the vocabulary as a string ("http://jena.hpl.hp.com/schemas/2003/03/ont-event#")
`static Individual` | `objectPropertyDeclaration` Event representing the declaration of a resource as an object property.
`static Individual` | `oneOf` Event representing the declaration of a class expression being composed of a finite enumeration of identified individuals.
`static Individual` | `onProperty` Event representing the declaration that a restriction applies to a given property
`static OntClass` | `OntEvent` A class representing observable events in an ontology model
`static Individual` | `ontologyDeclaration` Event representing the declaration of a resource of type owl:Ontology or daml:Ontology, representing meta-data about the ontology.
`static Individual` | `ontologyPropertyDeclaration` Event representing the declaration of an ontology property.
`static Individual` | `priorVersion` Event representing the declaration of a prior version of a given ontology.
`static Individual` | `propertyDeclaration` Event representing the declaration of a resource as a plain property.
`static Individual` | `range` Event representing the declaration of a property as having a given class, datatype or datarange as the range
`static Individual` | `related` Event representing the declaration of one ontology individual being related to another by some named predicate.
`static Individual` | `restrictionDeclaration` Event representing the declaration of a resource being a Restriction
`static Individual` | `sameAs` Event representing a declaration that one resource is the same as another.
`static Individual` | `sameIndividualAs` Event representing the declaration of one ontology individual being the same as another
`static Individual` | `someValuesFrom` Event representing the declaration that a restriction constrains at least one value of the property to have some class or datatype
`static Individual` | `subClassOf` Event representing the declaration of one class being the sub-class of another.
`static Individual` | `subPropertyOf` Event representing the declaration of a property as being the sub-property of another property
`static Individual` | `symmetricPropertyDeclaration` Event representing the declaration of a property as being symmetric
`static Individual` | `transitivePropertyDeclaration` Event representing the declaration of a property as being transitive.
`static Individual` | `unionOf` Event representing the declaration of a class expression being a union of class descriptions.
`static Individual` | `userData` Event representing a catch-all category of user-specified data, ie triples in the graph that relate to the use of ontology terms on instances, rather than the definition of ontology terms.
`static Individual` | `versionInfo` Event representing the declaration of version information on an ontology resource.

Constructor Summary
`OntEventsVocab()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabulary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabulary as a string ("http://jena.hpl.hp.com/schemas/2003/03/ont-event#")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabulary as a resource

### OntEvent

    public static final OntClass OntEvent

  A class representing observable events in an ontology model

### related

    public static final Individual related

  Event representing the declaration of one ontology individual being related to another by some named predicate.

### range

    public static final Individual range

  Event representing the declaration of a property as having a given class, datatype or datarange as the range

### classDeclaration

    public static final Individual classDeclaration

  Event representing the declaration of a resource as an ontology Class.

### onProperty

    public static final Individual onProperty

  Event representing the declaration that a restriction applies to a given property

### hasClassQ

    public static final Individual hasClassQ

  Event representing the declaration of that a qualified restriction has the given class or datatype for the qualification restriction

### subClassOf

    public static final Individual subClassOf

  Event representing the declaration of one class being the sub-class of another.

### oneOf

    public static final Individual oneOf

  Event representing the declaration of a class expression being composed of a finite enumeration of identified individuals.

### inverseOf

    public static final Individual inverseOf

  Event representing the declaration of a property as being the inverse of another property

### ontologyDeclaration

    public static final Individual ontologyDeclaration

  Event representing the declaration of a resource of type owl:Ontology or daml:Ontology, representing meta-data about the ontology.

### functionalPropertyDeclaration

    public static final Individual functionalPropertyDeclaration

  Event representing the declaration of a property as being functional.

### hasValue

    public static final Individual hasValue

  Event representing the declaration that a restriction constrains the property to have a given value

### minCardinality

    public static final Individual minCardinality

  Event representing the declaration of that a restriction has the given minimum cardinality on the restricted property

### label

    public static final Individual label

  Event representing a label on an ontology element

### DeprecatedClass

    public static final Individual DeprecatedClass

  Event representing the declaration of a class as being deprecated.

### domain

    public static final Individual domain

  Event representing the declaration of a property as having a given class, datatype or datarange as the domain

### disjointWith

    public static final Individual disjointWith

  Event representing the declaration of one class expression being disjoint with another.

### someValuesFrom

    public static final Individual someValuesFrom

  Event representing the declaration that a restriction constrains at least one value of the property to have some class or datatype

### imports

    public static final Individual imports

  Event representing the declaration that one ontology is imported into another ontology.

### unionOf

    public static final Individual unionOf

  Event representing the declaration of a class expression being a union of class descriptions.

### ontologyPropertyDeclaration

    public static final Individual ontologyPropertyDeclaration

  Event representing the declaration of an ontology property.

### DeprecatedProperty

    public static final Individual DeprecatedProperty

  Event representing the declaration of a property as being deprecated.

### restrictionDeclaration

    public static final Individual restrictionDeclaration

  Event representing the declaration of a resource being a Restriction

### symmetricPropertyDeclaration

    public static final Individual symmetricPropertyDeclaration

  Event representing the declaration of a property as being symmetric

### maxCardinality

    public static final Individual maxCardinality

  Event representing the declaration of that a restriction has the given maximum cardinality on the restricted property

### differentFrom

    public static final Individual differentFrom

  Event representing the declaration of one ontology individual being distinct from another

### comment

    public static final Individual comment

  Event representing a comment on an ontology element

### equivalentClass

    public static final Individual equivalentClass

  Event representing the declaration of one class expression being equivalent to another.

### userData

    public static final Individual userData

  Event representing a catch-all category of user-specified data, ie triples in the graph that relate to the use of ontology terms on instances, rather than the definition of ontology terms.

### intersectionOf

    public static final Individual intersectionOf

  Event representing the declaration of a class expression being an intersection of class descriptions.

### cardinality

    public static final Individual cardinality

  Event representing the declaration of that a restriction has the given cardinality on the restricted property

### datarangeDeclaration

    public static final Individual datarangeDeclaration

  Event representing the declaration of a resource as a Datarange.

### backwardCompatibleWith

    public static final Individual backwardCompatibleWith

  Event representing the declaration of a prior version of a given ontology, which the ontology is compatible with.

### incompatibleWith

    public static final Individual incompatibleWith

  Event representing the declaration of a prior version of a given ontology, which the ontology is not compatible with.

### sameIndividualAs

    public static final Individual sameIndividualAs

  Event representing the declaration of one ontology individual being the same as another

### allDifferentDeclaration

    public static final Individual allDifferentDeclaration

  Event representing the declaration of a set of individuals being pairwise distinct.

### annotationPropertyDeclaration

    public static final Individual annotationPropertyDeclaration

  Event representing the declaration of a resource as an annotation property.

### distinctMembers

    public static final Individual distinctMembers

  Event representing the identification of a set of individuals that are in the scope of an AllDifferent declaration.

### individualDeclaration

    public static final Individual individualDeclaration

  Event representing the declaration of an ontology individual

### versionInfo

    public static final Individual versionInfo

  Event representing the declaration of version information on an ontology resource.

### propertyDeclaration

    public static final Individual propertyDeclaration

  Event representing the declaration of a resource as a plain property.

### cardinalityQ

    public static final Individual cardinalityQ

  Event representing the declaration of that a qualified restriction has the given cardinality on the restricted property

### objectPropertyDeclaration

    public static final Individual objectPropertyDeclaration

  Event representing the declaration of a resource as an object property.

### priorVersion

    public static final Individual priorVersion

  Event representing the declaration of a prior version of a given ontology.

### equivalentProperty

    public static final Individual equivalentProperty

  Event representing the declaration of a property as being equivalent to another property

### minCardinalityQ

    public static final Individual minCardinalityQ

  Event representing the declaration of that a qualified restriction has the given minimum cardinality on the restricted property

### subPropertyOf

    public static final Individual subPropertyOf

  Event representing the declaration of a property as being the sub-property of another property

### complementOf

    public static final Individual complementOf

  Event representing the declaration of a class expression being the complement of another class description.

### sameAs

    public static final Individual sameAs

  Event representing a declaration that one resource is the same as another.

### allValuesFrom

    public static final Individual allValuesFrom

  Event representing the declaration that a restriction constrains all values of the property to have some class or datatype

### inverseFunctionalPropertyDeclaration

    public static final Individual inverseFunctionalPropertyDeclaration

  Event representing the declaration of a property as being inverse functional.

### transitivePropertyDeclaration

    public static final Individual transitivePropertyDeclaration

  Event representing the declaration of a property as being transitive.

### datatypePropertyDeclaration

    public static final Individual datatypePropertyDeclaration

  Event representing the declaration of a resource as a datatype property.

### maxCardinalityQ

    public static final Individual maxCardinalityQ

  Event representing the declaration of that a qualified restriction has the given maximum cardinality on the restricted property

Constructor Detail

### OntEventsVocab

    public OntEventsVocab()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabulary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP